extends Node

signal create_projectile(bullet_instance: Node)
signal create_effect(effect_instance: Node, start_pos: Vector2, above: bool, use_ysort: bool)

signal update_battlefield_ui()
signal detonate_landmines()
signal shake_screen()
signal anim_open_door(door: Door)
signal finish_run()
signal show_play_game_dialog()
signal enable_glitch()
signal show_action_button()
signal hide_action_button()

signal altern_items()
signal reroll_all_items(upgrade_rarity: int, force_item_class: GDScript)
signal reroll_all_doors()
signal on_machine_bombed()
signal on_item_unlocked()
signal discount_items()

signal player_death(player_position: Vector2)
signal enemy_death(enemy_position: Vector2, dead_enemy: Enemy)

signal add_follow_assist(assist: BaseFollowAssist)

func emit_create_effect(effect_instance: Node, start_pos: Vector2, above = true, use_ysort = false):
	EventBus.create_effect.emit(effect_instance, start_pos, above, use_ysort)
