extends Node

enum RoomType {none, start, boss, item, keys, bombs, coins, heart, shield, heart_receptacle, shop, cursed_shop, bank, blood_donation, chest, newspaper, offering, laboratory}
var SINGLE_OCCURENCE_ROOMS: Array[RoomType] = [RoomType.shop, RoomType.cursed_shop, RoomType.bank, RoomType.blood_donation, RoomType.chest, RoomType.offering, RoomType.laboratory]
var ROOMS_WITHOUT_ENEMIES: Array[RoomType] = [RoomType.start, RoomType.shop, RoomType.cursed_shop, RoomType.bank, RoomType.laboratory]
var DOOR_DESCRIPTIONS := {
	RoomType.start: "DOOR_START",
	RoomType.boss: "DOOR_BOSS",
	RoomType.item: "DOOR_ITEM",
	RoomType.keys: "DOOR_KEYS",
	RoomType.bombs: "DOOR_BOMBS",
	RoomType.coins: "DOOR_COINS",
	RoomType.heart: "DOOR_HEART",
	RoomType.shield: "DOOR_SHIELD",
	RoomType.heart_receptacle: "DOOR_HEART_RECEPTACLE",
	RoomType.shop: "DOOR_SHOP",
	RoomType.cursed_shop: "DOOR_CURSED_SHOP",
	RoomType.bank: "DOOR_BANK",
	RoomType.blood_donation: "BLOOD_DONATION_MACHINE",
	RoomType.chest: "DOOR_CHEST",
	RoomType.newspaper: "DOOR_NEWSPAPER",
	RoomType.offering: "DOOR_OFFERING",
	RoomType.laboratory: "DOOR_LABORATORY",
}

enum DoorProtection {none, key, spikes, rocks, boss_key}
