class_name Ladder
extends Interactable

var _level := 0

func set_level(level: int):
	_level = level
	
	$LadderLabel.text = "Go to level %s" % _level

func interact(_player: Player):
	Game.set_specific_level(_level)
	SceneTransition.change_scene(SceneTransition.battlefield, SceneTransition.TransitionType.slow_dissolve)

func show_description(_controller_number: int):
	$LadderLabel.fade_in(_controller_number)

func hide_description():
	$LadderLabel.fade_out()
