extends BaseMenuScreen

func _ready():
	modulate = Color.TRANSPARENT
	var fade_in_tween := get_tree().create_tween().bind_node(self)
	fade_in_tween.tween_property(self, "modulate", Color.WHITE, 0.5)

func _unhandled_input(_event: InputEvent):
	super(_event) # needed to detect menu actions
	
	get_viewport().set_input_as_handled()
	if _is_cancel_pressed or _is_interaction_pressed:
		_play()

func _play():
	Game.quit_run() # We do it now so it is saved and can be ignored with an app kill
	SceneTransition.change_scene(SceneTransition.main_menu, SceneTransition.TransitionType.slow_dissolve)
