class_name BaseRandomDirectionAssist
extends BaseFollowAssist

var specific_firing_direction := Vector2.ZERO

var _aleatory_position := Vector2.ZERO

func _init():
	_speed = 80

func _process(_delta: float):
	if specific_firing_direction == Vector2.ZERO:
		var direction := _get_direction_to_aleatory_position()
		set_velocity(direction * _speed)
		move_and_slide()
	else:
		set_velocity(specific_firing_direction)
	
	_update_sprite_flip()

func _get_direction_to_aleatory_position() -> Vector2:
	if _aleatory_position == Vector2.ZERO or global_position.distance_to(_aleatory_position) < 5:
		_aleatory_position = _get_random_position()
	return global_position.direction_to(_aleatory_position)

func _get_random_position(allow_player_pos = true) -> Vector2:
	return find_parent("Battlefield").get_random_position(allow_player_pos)
