extends BaseOrbitAssist

func _ready():
	if not _player:
		$Area2D.call_deferred("set_collision_mask_value", 4, false)
		$Area2D.call_deferred("set_collision_mask_value", 2, true)

func _process(delta: float):
	if not _player:
		rotate(10 * delta)
	else:
		rotate(16 * delta)

func _on_area_2d_body_entered(body: Node2D):
	if body is Enemy:
		var real_damage := int(80.0 * _player.get_damage_factor() * randf_range(0.9, 1.1))
		body.hurt(real_damage, false, false, false, false)
	elif body is ExplodingSquirrelAssist and (body as ExplodingSquirrelAssist).get_collision_layer_value(4):
		body.explode()
	elif body is Player:
		body.hurt(1)
