extends BaseRandomDirectionAssist

@onready var _weapon := $ModularWeapon as ModularWeapon

func _init():
	_speed = 40

func set_player(player: Player):
	super(player)
	
	$ModularWeapon.player = player

func _on_timer_timeout():
	if _get_nearest_enemy():
		_weapon.shoot(0, Vector2.ZERO)

func _on_modular_weapon_damaged(_target: Node2D, _damage: int):
	if _player and _target is Enemy:
		var real_damage := int(_damage * _player.get_damage_factor() * randf_range(0.9, 1.1))
		(_target as Enemy).hurt(real_damage, false, false, false, false)
