extends Node2D

signal enemy_hurt(enemy: Enemy)

var _enemies: Array[Enemy] = []

func _process(delta: float):
	rotate(4.0 * delta)

func _on_area_2d_body_entered(body: Node2D):
	if body is Enemy:
		_enemies.append(body)

func _on_area_2d_body_exited(body: Node2D):
	if body is Enemy:
		_enemies.erase(body)

func _on_timer_timeout():
	for enemy in _enemies:
		enemy_hurt.emit(enemy)
