extends Enemy

func _init():
	_nb_phases = 2
	
	_patterns.append(EnemyPattern.new(1.5, 2.5, _get_direction_to_nearest_player, __, _teleport_to_nearest_player))
	_patterns.append(_move_pattern(1.2, 1.2))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_center, _shoot_nearest_player, __))
	_patterns.append(EnemyPattern.new(1.0, 1.0, _dont_move, _shoot_lasers, __))

func _shoot_lasers():
	($LaserWeapon as ModularWeapon).shoot(0, Vector2.UP)

func _on_new_phase(_phase_number: int):
	speed = 150
	
	($ModularWeapon as ModularWeapon).add_motion("res://src/weapon/ProjectileMotions/Motions/SineMotion.tres")
	
	_patterns.clear()
	_patterns.append(EnemyPattern.new(1.0, 2.0, _get_direction_to_nearest_player, __, _teleport_to_nearest_player))
	_patterns.append(_move_pattern(1.2, 1.2))
	_patterns.append(EnemyPattern.new(1.0, 1.0, _get_direction_to_nearest_player, _shoot_nearest_player, _teleport_to_center))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _get_direction_to_nearest_player, __, __))
	_patterns.append(EnemyPattern.new(1.0, 1.0, _dont_move, _shoot_lasers, __))
	_restart_patterns()
