extends Enemy

func _init():
	_nb_phases = 2
	
	_patterns.append(_move_pattern(1.5, 1.8))
	_patterns.append(EnemyPattern.new(1.5, 2.0, _get_direction_to_nearest_player, _charge, _stop_charge))
	_patterns.append(EnemyPattern.new(1.0, 1.0, _get_direction_to_center, _shoot_nearest_player, __))
	_patterns.append(EnemyPattern.new(1.0, 1.0, _get_direction_to_center, _shoot_nearest_player, __))
	_patterns.append(EnemyPattern.new(1.0, 1.0, _get_direction_to_center, _shoot_nearest_player, __))
	_patterns.append(EnemyPattern.new(0.4, 0.4, _dont_move, __,  _fire_shockwave))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _dont_move, __,  _fire_shockwave))
	_patterns.append(EnemyPattern.new(0.4, 0.4, _dont_move, __,  _fire_shockwave))
	_patterns.append(EnemyPattern.new(3.0, 3.0, _get_direction_opposite_to_nearest_player, _teleport_aleatory, __))

func _fire_shockwave():
	($ShockwaveWeapon as ModularWeapon).shoot(0, Vector2.ZERO)

func _on_new_phase(_phase_number: int):
	($ModularWeapon as ModularWeapon).add_motion("res://src/weapon/ProjectileMotions/Motions/HomingMotion.tres")
