extends Enemy

func _init():
	_nb_phases = 2
	
	_patterns.append(_move_pattern(1.2, 1.2))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _get_direction_to_nearest_player, _teleport_to_center, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, __, _detonate_landmines))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, __, _shoot_landmines))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _teleport_aleatory, _shoot_landmines))
	_patterns.append(EnemyPattern.new(3.0, 3.0, _get_direction_to_nearest_player, _charge, _stop_charge))

func _shoot_landmines():
	($LandmineWeapon as ModularWeapon).shoot(0, Vector2.UP)

func _on_new_phase(_phase_number: int):
	speed = 120
	
	_patterns.clear()
	_patterns.append(_move_pattern(1.2, 1.2))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _get_direction_to_nearest_player, _teleport_to_center, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _get_direction_to_aleatory_position, __, _detonate_landmines))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _get_direction_to_aleatory_position, __, _shoot_landmines))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _get_direction_to_aleatory_position, _teleport_aleatory, _shoot_landmines))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _get_direction_to_aleatory_position, _teleport_aleatory, _shoot_landmines))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _get_direction_to_aleatory_position, _teleport_aleatory, _shoot_landmines))
	_patterns.append(EnemyPattern.new(3.0, 3.0, _get_direction_to_nearest_player, _charge, _stop_charge))
	_restart_patterns()
