extends Enemy

func _init():
	_nb_phases = 2
	
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_center, __, _teleport_to_center))
	_patterns.append(EnemyPattern.new(1.6, 1.6, _dont_move, __, __))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_nearest_player, _charge_with_flail, _stop_charge))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_nearest_player, _charge, _stop_charge))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_nearest_player, _charge, _stop_charge_and_flail))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _fire_stairs, _teleport_aleatory))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _fire_stairs, _teleport_aleatory))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _fire_stairs, _teleport_aleatory))

func _add_skullflames():
	_add_skullflames_at_random(5)

func _charge_with_flail():
	_charge()
	add_flail_assist()

func _stop_charge_and_flail():
	_stop_charge()
	remove_assists()

func _on_new_phase(_phase_number: int):
	_patterns.clear()
	
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_center, _stop_charge_and_flail, _teleport_to_center))
	_patterns.append(EnemyPattern.new(1.6, 1.6, _dont_move, __, _add_skullflames))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_nearest_player, _charge_with_flail, _stop_charge))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_nearest_player, _charge, _stop_charge))
	_patterns.append(EnemyPattern.new(0.1, 0.1, _get_direction_to_nearest_player, __, _add_skullflames))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_nearest_player, _charge, _stop_charge))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_nearest_player, _charge, _stop_charge_and_flail))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _fire_stairs, _teleport_aleatory))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _fire_stairs, _teleport_aleatory))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _fire_stairs, _teleport_aleatory))
	_restart_patterns()
