extends Enemy

func _init():
	_nb_phases = 2
	
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_opposite_to_nearest_player, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(1.0, 1.3, _get_direction_to_nearest_player, __, _add_skullflames_on_left))
	_patterns.append(_wait_pattern(1.5))

func _on_new_phase(_phase_number: int):
	speed = 200
	
	_patterns.clear()
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_opposite_to_nearest_player, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(1.0, 1.3, _get_direction_to_nearest_player, __, _add_skullflames_on_left))
	_patterns.append(_wait_pattern(1.5))
	_patterns.append(EnemyPattern.new(1.0, 1.3, _get_direction_to_nearest_player, __, _add_skullflames_at_random))
	_restart_patterns()
