extends Enemy

func _init():
	_nb_phases = 2
	
	_patterns.append(_move_pattern(2.0, 2.0))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _dont_move, _teleport_aleatory, _fire_reverse_angle))
	_patterns.append(_wait_pattern(4.0))
	_patterns.append(EnemyPattern.new(0.5, 1.0, _get_direction_to_nearest_player, __, _add_skullflames_at_random))

func _fire_shockwave():
	($ShockwaveWeapon as ModularWeapon).shoot(0, Vector2.ZERO)

func _on_new_phase(_phase_number: int):
	speed = 200
	
	_patterns.clear()
	_patterns.append(EnemyPattern.new(2.0, 3.0, _get_direction_to_nearest_player, __, _fire_shockwave))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _dont_move, _teleport_aleatory, _fire_reverse_angle))
	_patterns.append(_wait_pattern(4.0))
	_patterns.append(EnemyPattern.new(0.5, 1.0, _get_direction_to_nearest_player, __, _add_skullflames_at_random))
	_restart_patterns()
