extends Enemy

func _init():
	_nb_phases = 3
	
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_center, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(0.5, 0.5, _get_direction_to_center, __, _fire_energy_balls_circle))
	_patterns.append(EnemyPattern.new(1.5, 1.5, _get_direction_to_center, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(0.5, 0.5, _get_direction_to_center, __, _fire_energy_balls_circle))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _teleport_aleatory, _fire_homing_energy_balls))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _teleport_aleatory, _fire_homing_energy_balls))
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _teleport_aleatory, _fire_homing_energy_balls))
	_patterns.append(EnemyPattern.new(1.5, 1.5, _get_direction_to_center, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(0.5, 0.5, _get_direction_to_center, __, _fire_energy_balls_circle))
	_patterns.append(EnemyPattern.new(1.5, 1.5, _get_direction_to_center, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(0.5, 0.5, _get_direction_to_center, __, _fire_energy_balls_circle))

func _fire_energy_balls_circle():
	($CircleEnergyBallWeapon as ModularWeapon).shoot(0, Vector2.UP)

func _fire_homing_energy_balls():
	($HomingEnergyBallWeapon as ModularWeapon).shoot(0, _get_direction_to_nearest_player())

func _add_skullflames():
	_add_skullflames_at_random(10, true)

func _on_new_phase(_phase_number: int):
	speed = 150
	
	if _phase_number == 2:
		_patterns.clear()
		_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_center, __, _shoot_nearest_player))
		_patterns.append(EnemyPattern.new(0.5, 0.5, _get_direction_to_center, __, _fire_energy_balls_circle))
		_patterns.append(EnemyPattern.new(1.0, 1.0, _get_direction_to_center, __, _shoot_nearest_player))
		_patterns.append(EnemyPattern.new(0.5, 0.5, _get_direction_to_center, __, _fire_energy_balls_circle))
		_patterns.append(EnemyPattern.new(0.1, 0.1, _get_direction_to_center, __, _add_skullflames))
		_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _teleport_aleatory, _fire_homing_energy_balls))
		_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _teleport_aleatory, _fire_homing_energy_balls))
		_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_to_aleatory_position, _teleport_aleatory, _fire_homing_energy_balls))
		_patterns.append(EnemyPattern.new(1.0, 1.0, _get_direction_to_center, __, _shoot_nearest_player))
		_patterns.append(EnemyPattern.new(0.5, 0.5, _get_direction_to_center, __, _fire_energy_balls_circle))
		_patterns.append(EnemyPattern.new(1.0, 1.0, _get_direction_to_center, __, _shoot_nearest_player))
		_patterns.append(EnemyPattern.new(0.5, 0.5, _get_direction_to_center, __, _fire_energy_balls_circle))
		_patterns.append(EnemyPattern.new(0.1, 0.1, _get_direction_to_center, __, _add_skullflames))
		_restart_patterns()
	elif _phase_number == 3:
		_weapon.add_motion("res://src/weapon/ProjectileMotions/Motions/CurveMotion.tres")
		add_shield_assists()
