class_name BatteryItem
extends BaseItem

func _init():
	is_activable = true
	single_use = true
	keep_in_item_list = false

func on_activation(_player: Player, _weapon: ModularWeapon):
	if _player.state.activable_item_id == 0:
		return
	
	var max_charges := ((Items.ITEMS_BY_ID[_player.state.activable_item_id]).new() as BaseItem).needed_charges
	_player.state.activable_item_charges = max_charges
