class_name DamageAfterDashItem
extends BaseItem

var _nb_recent_dashes := 0;

func is_active(_player: Player) -> bool:
	return _nb_recent_dashes > 0

func get_damage_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value * (1 + (0.15 * _nb_recent_dashes))

func on_player_dash_begin(_player: Player):
	_nb_recent_dashes += 1
	await _player.get_tree().create_timer(3.0, false).timeout
	_nb_recent_dashes -= 1
