class_name FireRateWhenIdleItem
extends BaseItem

var _is_idle := false;

func get_fire_rate_factor(_previous_value: float, _player: Player) -> float:
	if _is_idle:
		return _previous_value * 1.5
	else:
		return _previous_value * (1 - 0.2)

func on_player_idle_begin(_player: Player):
	_is_idle = true

func on_player_idle_end(_player: Player):
	_is_idle = false
