class_name HeartReceptacleConverterItem
extends BaseItem

func _init():
	is_activable = true

func on_activation(_player: Player, _weapon: ModularWeapon):
	if _player.state.max_hit_points >= 2:
		_player.state.remove_heart_receptacle()
		_player.state.add_shield()
		_player.state.add_shield()
		_player.state.add_shield()
		_player.state.add_shield()
		EventBus.emit_create_effect(TextEffect.new("+4 %s" % tr("SHIELDS")), _player.global_position)
	else:
		EventBus.emit_create_effect(TextEffect.new("NOT_ENOUGH_HEARTS"), _player.global_position)
