class_name KnightItem
extends BaseItem

func on_obtain(_player_state: PlayerState):
	var flail_item := FlailAssistItem.new()
	flail_item.on_obtain(_player_state)
	_player_state.item_ids.append(Items.ITEM_IDS_BY_CLASS[FlailAssistItem])
	
	_player_state.activable_item_id = Items.ITEM_IDS_BY_CLASS[RerollIntoDamageItem]
	_player_state.activable_item_charges = RerollIntoDamageItem.new().needed_charges

func get_damage_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value * 1.4

func does_prevent_firing() -> bool:
	return true
