class_name NoShieldBonusItem
extends BaseItem

func is_active(_player: Player) -> bool:
	return _player.state.nb_shields == 0

func get_damage_factor(_previous_value: float, _player: Player) -> float:
	if is_active(_player):
		return _previous_value * 1.3
	else:
		return _previous_value
