class_name ShockwaveOnDashItem
extends BaseItem

var shockwave_effect := preload("res://src/weapon/ProjectileImpacts/ShockwaveImpact/Shockwave.tscn")

func on_player_dash_begin(_player: Player):
	var shockwave := shockwave_effect.instantiate() as Shockwave
	shockwave.weapon = _player._weapon
	shockwave.shockwave_damage = 70
	shockwave.shockwave_max_radius = 200
	
	EventBus.emit_create_effect(shockwave, _player.global_position)
