class_name SoulsConverterItem
extends BaseItem

func _init():
	is_activable = true

func on_activation(_player: Player, _weapon: ModularWeapon):
	if Game.state.total_souls >= 500:
		Game.state.total_souls -= 500
		_player.add_coins(50)
	else:
		EventBus.emit_create_effect(TextEffect.new("NOT_ENOUGH_SOULS"), _player.global_position)
