class_name TheChallengeItem
extends BaseItem

func on_obtain(_player_state: PlayerState):
	var evade_item := EvadeFirstBlowItem.new()
	evade_item.on_obtain(_player_state)
	_player_state.item_ids.append(Items.ITEM_IDS_BY_CLASS[EvadeFirstBlowItem])
	
	var alterning_items_item := AlterningItemsItem.new()
	alterning_items_item.on_obtain(_player_state)
	_player_state.item_ids.append(Items.ITEM_IDS_BY_CLASS[AlterningItemsItem])
	
	_player_state.single_use_item_id = Items.ITEM_IDS_BY_CLASS[FakeHeartsItem]
	
	_player_state.hit_points = 2
	_player_state.max_hit_points = 2

func get_fire_rate_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value * 1.2
