extends Sprite2D

@export var always_display_action_button := false

func set_controller_number(_controller_number: int):
	var joypad_type := InputUtils.get_type_for(_controller_number)
	
	match joypad_type:
		InputUtils.JoypadType.TOUCH:
			if always_display_action_button:
				texture = load("res://src/menus/buttons/dialog_next_button.png")
			else:
				texture = null
		InputUtils.JoypadType.KEYBOARD:
			texture = load("res://src/menus/buttons/keyboard_action_button.png")
		InputUtils.JoypadType.PLAYSTATION:
			texture = load("res://src/menus/buttons/playstation_action_button.png")
		InputUtils.JoypadType.NINTENDO:
			texture = load("res://src/menus/buttons/nintendo_action_button.png")
		_:
			texture = load("res://src/menus/buttons/xbox_action_button.png")
