extends Sprite2D

func set_controller_number(_controller_number: int):
	var joypad_type := InputUtils.get_type_for(_controller_number)
	
	match joypad_type:
		InputUtils.JoypadType.TOUCH:
			texture = null
		InputUtils.JoypadType.KEYBOARD:
			texture = load("res://src/menus/controller_indication/shift.png")
		InputUtils.JoypadType.PLAYSTATION:
			texture = load("res://src/menus/buttons/playstation_activable_button.png")
		InputUtils.JoypadType.NINTENDO:
			texture = load("res://src/menus/buttons/nintendo_activable_button.png")
		_:
			texture = load("res://src/menus/buttons/xbox_activable_button.png")
