extends Projectile


func _ready():
	Sounds.play_basic_projectile($ShootSound, weapon.get_volume_db_adjustment())
	
	rotation = direction.angle()
	
	if not weapon.player:
		z_index = 10
		$Sprite2D.texture = load("res://src/weapon/ProjectileEmitters/Basic/enemy_basic_projectile.png")

# What the projectile does after it has hit a valid target.
# Flares up in size and fades out.
func _impact():
	_stop_physics()
	
	Sounds.play_basic_projectile($ShootSound, weapon.get_volume_db_adjustment())
	
	$AnimationPlayer.play("impact")
	await $AnimationPlayer.animation_finished
	queue_free()
