extends ProjectileEmitter

var bomb_effect_reference := preload("res://src/weapon/ProjectileEmitters/Bomb/BombEffect.tscn")

# Spawns and configures a basic projectile scene and connects to its signals.
func _do_fire(_delta: float, _direction: Vector2) -> bool:
	var bomb_position := global_position
	var bomb_effect := bomb_effect_reference.instantiate() as BombEffect
	bomb_effect.exploded.connect(_on_exploded)
	
	EventBus.emit_create_effect(bomb_effect, bomb_position)
	
	return true

func _on_exploded(pos: Vector2):
	_on_projectile_missed(pos)
