extends ProjectileImpact

@export var shockwave_damage := 50
@export var shockwave_max_radius := 150.0

var shockwave_effect := preload("Shockwave.tscn")


func _do_trigger(_spawn_location: Vector2, _weapon: ModularWeapon, _missed: bool, _entity_to_ignore: Node2D):
	var shockwave := shockwave_effect.instantiate() as Shockwave
	shockwave.weapon = _weapon
	shockwave.entity_to_ignore = _entity_to_ignore
	shockwave.shockwave_damage = shockwave_damage
	shockwave.shockwave_max_radius = shockwave_max_radius
	
	EventBus.emit_create_effect(shockwave, _spawn_location)
