class_name BubbleMotion
extends ProjectileMotion

func update_movement(_projectile: Projectile, _movement_vector: Vector2, _direction: Vector2, _delta: float) -> Vector2:
	var speed_factor := 0.5 - (_projectile.get_distance_progression() / 2.0)
	if speed_factor < 0.02:
		speed_factor = 0.02
	return _movement_vector * speed_factor
