class_name BasePNJ
extends Interactable

const _dialog_box_reference := preload("res://src/battlefield/dialogue/DialogueBox.tscn")

var pnj_key := ""

func interact(_player: Player):
	Sounds.play_interaction()
	
	var msg_keys := RoomUtils.get_all_message_keys("%s_1_MSG" % pnj_key)
	
	var dialog_box := _dialog_box_reference.instantiate()
	get_tree().current_scene.add_child(dialog_box)
	dialog_box.start(msg_keys, pnj_key, _player.state.controller_number)

func show_description(_controller_number: int):
	$DescriptionLabel.fade_in(_controller_number)

func hide_description():
	$DescriptionLabel.fade_out()
