extends Node2D

var players: Array[Player]

func _ready():
	var nb_items := RoomUtils.get_nb_items(players)
	
	var item_spacing := 260.0
	for i in nb_items:
		var x_delta := 0.0
		var y_delta := 0.0
		
		if nb_items >= 3:
			match i:
				0:
					x_delta = -item_spacing / 2
					y_delta = -item_spacing / 2
				1:
					x_delta = item_spacing / 2
					y_delta = -item_spacing / 2
				2:
					x_delta = -item_spacing / 2
					y_delta = item_spacing / 2
				3:
					x_delta = item_spacing / 2
					y_delta = item_spacing / 2
		elif nb_items == 2:
			match i:
				0:
					x_delta = -item_spacing / 2
				1:
					x_delta = item_spacing / 2
		
		var chest_reference := load("res://src/battlefield/rooms/chest_room/Chest.tscn") as PackedScene
		var chest = chest_reference.instantiate()
		chest.global_position = Vector2(x_delta, y_delta)
		add_child(chest)
