extends BaseFollowAssist

var _bodies_to_block: Array[Node2D] = []

func _init():
	_min_distance = 30
	_speed = Player.SPEED / 1.1

func _process(_delta: float):
	if _bodies_to_block.is_empty():
		super(_delta)
	else:
		var direction := global_position.direction_to(_bodies_to_block.front().global_position)
		
		set_velocity(direction * 550)
		move_and_slide()
		
		_update_sprite_flip()

func _on_area_2d_body_entered(body: Node2D):
	_bodies_to_block.append(body)

func _on_area_2d_body_exited(body: Node2D):
	_bodies_to_block.erase(body)
