extends BaseFollowAssist

func _init():
	_min_distance = 30

func set_player(player: Player):
	super(player)
	
	$ModularWeapon.player = player

func _on_timer_timeout():
	var nearest_enemy := _get_nearest_enemy()
	if nearest_enemy:
		($ModularWeapon as ModularWeapon).shoot(0, global_position.direction_to(nearest_enemy.global_position))

func _on_modular_weapon_damaged(_target: Node2D, _damage: int):
	if _target is Enemy:
		var real_damage := int(80.0 * _player.get_damage_factor() * randf_range(0.9, 1.1))
		_target.hurt(real_damage, false, false, false, false)
