extends Enemy

func _init():
	_nb_phases = 2
	
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_opposite_to_nearest_player, __, _teleport_to_center))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _dont_move, __, _fire_boomerangs))
	_patterns.append(_wait_pattern(8.0))
	_patterns.append(EnemyPattern.new(4.0, 4.0, _get_direction_to_aleatory_position, _add_squirrels, _teleport_aleatory))

func _fire_boomerangs():
	_fire_angle(50, false, _weapon)

func _add_lot_of_squirrels():
	_add_squirrels(20)

func _on_new_phase(_phase_number: int):
	_patterns.clear()
	
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_opposite_to_nearest_player, __, _teleport_to_center))
	_patterns.append(EnemyPattern.new(1.2, 1.2, _dont_move, __, _fire_boomerangs))
	_patterns.append(_wait_pattern(8.0))
	_patterns.append(EnemyPattern.new(3.0, 3.0, _get_direction_to_aleatory_position, _add_lot_of_squirrels, _teleport_aleatory))
	_restart_patterns()
