extends Enemy

@onready var _circle_weapon := $CircleWeapon as ModularWeapon

func _init():
	_nb_phases = 2
	
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_opposite_to_nearest_player, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(1.0, 1.3, _get_direction_to_nearest_player, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(1.5, 2.0, _get_direction_to_nearest_player, _charge, _stop_charge))

func _fire_circle():
	_fire_angle(10, false, _circle_weapon)

func _on_new_phase(_phase_number: int):
	speed = 200
	
	_patterns.clear()
	_patterns.append(EnemyPattern.new(2.0, 2.0, _get_direction_opposite_to_nearest_player, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(1.0, 1.3, _get_direction_to_nearest_player, __, _shoot_nearest_player))
	_patterns.append(EnemyPattern.new(1.5, 2.0, _get_direction_to_nearest_player, _charge, _stop_charge))
	_patterns.append(EnemyPattern.new(1.5, 2.0, _get_direction_to_nearest_player, __, _fire_circle))
	_restart_patterns()
