extends Enemy

func _init():
	_nb_phases = 2
	
	_patterns.append(EnemyPattern.new(1.8, 2.2, _get_direction_to_aleatory_position, __, _fire_cone))
	_patterns.append(EnemyPattern.new(1.2, 1.7, _get_direction_to_aleatory_position, _teleport_aleatory, __))

func _fire_cone():
	if _current_phase == 1:
		_fire_angle(3, false, _weapon, _get_direction_to_nearest_player())
	else:
		_fire_angle(4, false, _weapon, _get_direction_to_nearest_player())

func _on_new_phase(_phase_number: int):
	speed = 200

func _ready():
	super()
	$PoisonPuddleTimer.start()
