class_name BaseItem

var is_activable := false
var keep_in_item_list := true
var single_use := false
var needed_charges := 0

func on_obtain(_player_state: PlayerState):
	pass

func on_obtain_in_run(_player: Player):
	pass

func add_assist(_player: Player):
	pass

func modify_weapon(_weapon: ModularWeapon):
	pass
	
func modify_bomb_weapon(_bomb_weapon: ModularWeapon):
	pass

func on_activation(_player: Player, _weapon: ModularWeapon):
	pass

func on_player_dash_begin(_player: Player):
	pass

func on_player_dash_end(_player: Player):
	pass

func on_player_idle_begin(_player: Player):
	pass

func on_player_idle_end(_player: Player):
	pass

func get_nb_dashes(_previous_value: int, _player: Player) -> int:
	return _previous_value

func get_speed_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value

func get_damage_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value

func get_dot_damage_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value

func get_fire_rate_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value

func get_range_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value

func get_critical_chance(_previous_value: float, _player: Player) -> float:
	return _previous_value

func get_critical_damage_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value

func does_apply_poison(_previous_value: float, _player: Player) -> bool:
	return _previous_value

func does_apply_fire(_previous_value: float, _player: Player) -> bool:
	return _previous_value

func does_apply_bleeding(_previous_value: float, _player: Player) -> bool:
	return _previous_value

func is_active(_player: Player) -> bool:
	return false

func does_prevent_firing() -> bool:
	return false
