class_name GiftItem
extends BaseItem

func _init():
	is_activable = true
	needed_charges = 4

func on_activation(_player: Player, _weapon: ModularWeapon):
	match Game.random_gen.randi_range(0, 3):
		0:
			Game.state.nb_keys += 1
			EventBus.emit_create_effect(TextEffect.new("+1 %s" % tr("KEY")), _player.global_position)
		1:
			Game.state.nb_bombs += 1
			EventBus.emit_create_effect(TextEffect.new("+1 %s" % tr("BOMB")), _player.global_position)
		2:
			_player.add_coins(10)
		3:
			_player.state.fill_red_heart()
			EventBus.emit_create_effect(TextEffect.new("HEART_HEALED"), _player.global_position)
