class_name GlitchItem
extends BaseItem

var _enabled := false

func _init():
	is_activable = true
	needed_charges = 1

func on_activation(_player: Player, _weapon: ModularWeapon):
	_enabled = true
	EventBus.enable_glitch.emit()

func get_damage_factor(_previous_value: float, _player: Player) -> float:
	if _enabled:
		return _previous_value * 1.3
	else:
		return _previous_value
