class_name GrenadeLauncherItem
extends BaseItem

func get_fire_rate_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value * (1 - 0.15)

func get_range_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value * (1 - 0.3)

func modify_weapon(_weapon: ModularWeapon):
	_weapon.projectile_emitter = load("res://src/weapon/ProjectileEmitters/Grenade/GrenadeEmitter.tscn")
	_weapon.add_impact("res://src/weapon/ProjectileImpacts/ExplosionImpact/ExplosionImpact.tres")
	_weapon.add_impact("res://src/weapon/ProjectileImpacts/ShockwaveImpact/ShockwaveImpact.tres")
