class_name NoHeartBonusItem
extends BaseItem

func is_active(_player: Player) -> bool:
	return _player.state.hit_points == 0

func get_damage_factor(_previous_value: float, _player: Player) -> float:
	if is_active(_player):
		return _previous_value * 1.4
	else:
		return _previous_value
