class_name SummonerItem
extends BaseItem

const NB_DAMAGE_TO_SUMMON := 7

func on_obtain(_player_state: PlayerState):
	var scythe_item := ScytheAssistItem.new()
	scythe_item.on_obtain(_player_state)
	_player_state.item_ids.append(Items.ITEM_IDS_BY_CLASS[ScytheAssistItem])
	
	var first_skullflame_item := SkullflameAssistItem.new()
	first_skullflame_item.on_obtain(_player_state)
	_player_state.item_ids.append(Items.ITEM_IDS_BY_CLASS[SkullflameAssistItem])
	
	var second_skullflame_item := SkullflameAssistItem.new()
	second_skullflame_item.on_obtain(_player_state)
	_player_state.item_ids.append(Items.ITEM_IDS_BY_CLASS[SkullflameAssistItem])

func get_fire_rate_factor(_previous_value: float, _player: Player) -> float:
	return _previous_value * 1.2

func does_prevent_firing() -> bool:
	return true
