extends Node2D

signal on_start_pressed()

func _ready():
	var joypad_type := InputUtils.get_type_for(1)
	
	match joypad_type:
		InputUtils.JoypadType.TOUCH:
			$Sprite2D.texture = null
		InputUtils.JoypadType.KEYBOARD:
			$Sprite2D.texture = load("res://src/menus/controller_indication/enter.png")
		InputUtils.JoypadType.NINTENDO:
			$Sprite2D.texture = load("res://src/menus/buttons/nintendo_start_button.png")
		_:
			$Sprite2D.texture = load("res://src/menus/buttons/xbox_start_button.png")

func _on_label_pressed():
	on_start_pressed.emit()
