extends BaseMenuScreen

var _currentLine: int = 0

func _unhandled_input(_event: InputEvent):
	super(_event) # needed to detect menu actions
	
	if _is_cancel_pressed:
		_back()
	elif _is_menu_up_pressed:
		if _currentLine > 0:
			_currentLine -= 1
		$RichTextLabel.scroll_to_line(_currentLine)
	elif _is_menu_down_pressed:
		if _currentLine < $RichTextLabel.get_line_count():
			_currentLine += 1
		$RichTextLabel.scroll_to_line(_currentLine)

func _back():
	Sounds.play_interaction()
	SceneTransition.change_scene(SceneTransition.main_menu)

func _on_rich_text_label_meta_clicked(url: String):
	OS.shell_open(url)
