extends Projectile

func _ready():
	Sounds.play_bubble($ShootSound, weapon.get_volume_db_adjustment())
	
	rotation = direction.angle()
	
	if not weapon.player:
		z_index = 10
		$Sprite2D.modulate = Color.from_string("#ff3427", Color.WHITE)

func _miss():
	_impact() # we also explode on miss

func _impact():
	_stop_physics()
	
	Sounds.play_bubble($ShootSound, weapon.get_volume_db_adjustment(), 1.0 + randf() / 2)
	
	$AnimationPlayer.play("impact")
	await $AnimationPlayer.animation_finished
	queue_free()
