extends ProjectileImpact

var _poison_puddle_scene := preload("res://src/effects/fade/PoisonPuddle.tscn")

func _do_trigger(_spawn_location: Vector2, _weapon: ModularWeapon, _missed: bool, _entity_to_ignore: Node2D):
	var poison_puddle := _poison_puddle_scene.instantiate() as PoisonPuddle
	poison_puddle.emitting_player = _weapon.player
	EventBus.emit_create_effect(poison_puddle, _spawn_location, false)
