class_name OrbitalMotion
extends ProjectileMotion

func update_movement(_projectile: Projectile, _movement_vector: Vector2, _direction: Vector2, _delta: float) -> Vector2:
	if _projectile.elapsed_time > 0.1:
		if _projectile.elapsed_time < 0.3:
			_projectile.direction = _direction.rotated(PI * 3.9 * _delta)
		else:
			_projectile.direction = _direction.rotated(PI * 1.5 * _delta)

	return _movement_vector
