class_name StraightMotion
extends ProjectileMotion

# Speed at which the projectile travels.
@export var travel_speed := 650.0


# Moves in a straight line by the projectile's speed
func update_movement(_projectile: Projectile, _movement_vector: Vector2, _direction: Vector2, _delta: float) -> Vector2:
	return _movement_vector + (_direction * travel_speed * _delta)
