# Base class to represent a projectile's motion. The projectile's position
# and/or orientation can be updated inside of `_update_movement`, or it can
# be used just to provide a movement vector.
# @tags - abstract
class_name ProjectileMotion
extends Resource

# Method to override to define the projectile's motion.
func update_movement(_projectile: Projectile, _movement_vector: Vector2, _direction: Vector2, _delta: float) -> Vector2:
	return _movement_vector
